/*
 * $Id: TestTransactionFactory.java 3798 2006-11-04 04:07:14Z aperepel $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the MuleSource MPL
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.tck.testmodels.mule;

import com.mockobjects.dynamic.Mock;

import org.mule.umo.TransactionException;
import org.mule.umo.UMOTransaction;
import org.mule.umo.UMOTransactionFactory;

/**
 * <code>TestTransactionFactory</code> TODO
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 3798 $
 */

public class TestTransactionFactory implements UMOTransactionFactory
{
    public UMOTransaction beginTransaction() throws TransactionException
    {
        return (UMOTransaction)new Mock(UMOTransaction.class).proxy();
    }

    public boolean isTransacted()
    {
        return true;
    }
}
